#include "rpcproxy.h"
#include "asyncstg.h"


/* [local] */ HRESULT __stdcall IFillLockBytes_FillAppend_Proxy( 
    IFillLockBytes __RPC_FAR * This,
    /* [in] */ const void __RPC_FAR *pv,
    /* [in] */ ULONG cb,
    /* [out] */ ULONG __RPC_FAR *pcbWritten)
	{
		return IFillLockBytes_RemoteFillAppend_Proxy(This, pv, cb, pcbWritten);
	}


/* [call_as] */ HRESULT __stdcall IFillLockBytes_FillAppend_Stub( 
    IFillLockBytes __RPC_FAR * This,
    /* [size_is][in] */ const byte __RPC_FAR *pv,
    /* [in] */ ULONG cb,
    /* [out] */ ULONG __RPC_FAR *pcbWritten)
	{
		return This->lpVtbl->FillAppend(This, pv, cb, pcbWritten);
	}

/* [local] */ HRESULT __stdcall IFillLockBytes_FillAt_Proxy( 
    IFillLockBytes __RPC_FAR * This,
    /* [in] */ ULARGE_INTEGER ulOffset,
    /* [in] */ const void __RPC_FAR *pv,
    /* [in] */ ULONG cb,
    /* [out] */ ULONG __RPC_FAR *pcbWritten)
	{
		return IFillLockBytes_RemoteFillAt_Proxy(This, ulOffset, pv, cb, pcbWritten);
	}


/* [call_as] */ HRESULT __stdcall IFillLockBytes_FillAt_Stub( 
    IFillLockBytes __RPC_FAR * This,
    /* [in] */ ULARGE_INTEGER ulOffset,
    /* [size_is][in] */ const byte __RPC_FAR *pv,
    /* [in] */ ULONG cb,
    /* [out] */ ULONG __RPC_FAR *pcbWritten)
	{
		return This->lpVtbl->FillAt(This, ulOffset, pv, cb, pcbWritten);
	}
